import { defineComponent as p, toRefs as r, openBlock as i, createElementBlock as c, unref as o, createElementVNode as e } from "vue";
const a = { class: "go-border-box" }, h = ["width", "height"], k = ["fill", "points"], u = ["stroke", "points"], g = ["stroke", "points"], $ = ["stroke", "points"], b = ["stroke"], f = ["stroke"], y = ["stroke"], m = ["stroke"], C = ["stroke"], w = ["stroke", "points"], x = ["stroke", "points"], B = p({ name: "EBorder10" }), q = /* @__PURE__ */ p({
  ...B,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(d) {
    const l = d, { w: n, h: s } = r(l.chartConfig.attr), { colors: t, backgroundColor: _ } = r(l.chartConfig.option);
    return (E, v) => (i(), c("div", a, [
      (i(), c("svg", {
        width: o(n),
        height: o(s)
      }, [
        e("polygon", {
          fill: o(_),
          points: `
        ${o(n) - 15}, 22 170, 22 150, 7 40, 7 28, 21 32, 24
        16, 42 16, ${o(s) - 32} 41, ${o(s) - 7} ${o(n) - 15}, ${o(s) - 7}
      `
        }, null, 8, k),
        e("polyline", {
          class: "go-border-line-1",
          stroke: o(t)[0],
          points: `145, ${o(s) - 5} 40, ${o(s) - 5} 10, ${o(s) - 35}
          10, 40 40, 5 150, 5 170, 20 ${o(n) - 15}, 20`
        }, null, 8, u),
        e("polyline", {
          stroke: o(t)[1],
          class: "go-border-line-2",
          points: `245, ${o(s) - 1} 36, ${o(s) - 1} 14, ${o(s) - 23}
          14, ${o(s) - 100}`
        }, null, 8, g),
        e("polyline", {
          class: "go-border-line-3",
          stroke: o(t)[0],
          points: `7, ${o(s) - 40} 7, ${o(s) - 75}`
        }, null, 8, $),
        e("polyline", {
          class: "go-border-line-4",
          stroke: o(t)[0],
          points: "28, 24 13, 41 13, 64"
        }, null, 8, b),
        e("polyline", {
          class: "go-border-line-5",
          stroke: o(t)[0],
          points: "5, 45 5, 140"
        }, null, 8, f),
        e("polyline", {
          class: "go-border-line-6",
          stroke: o(t)[1],
          points: "14, 75 14, 180"
        }, null, 8, y),
        e("polyline", {
          class: "go-border-line-7",
          stroke: o(t)[1],
          points: "55, 11 147, 11 167, 26 250, 26"
        }, null, 8, m),
        e("polyline", {
          class: "go-border-line-8",
          stroke: o(t)[1],
          points: "158, 5 173, 16"
        }, null, 8, C),
        e("polyline", {
          class: "go-border-line-9",
          stroke: o(t)[0],
          points: `200, 17 ${o(n) - 10}, 17`
        }, null, 8, w),
        e("polyline", {
          class: "go-border-line-10",
          stroke: o(t)[1],
          points: `385, 17 ${o(n) - 10}, 17`
        }, null, 8, x)
      ], 8, h))
    ]));
  }
});
export {
  q as default
};
